=== templates/moveit_config_pkg_template/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project([GENERATED_PACKAGE_NAME])

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  PATTERN "setup_assistant.launch" EXCLUDE)
install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
