## ros-noetic-moveit-setup-assistant 1.1.11

=== debian/changelog ===
ros-noetic-moveit-setup-assistant (1.1.11-1buster) buster; urgency=high

  * MSA: Cleanup SimulationWidget (#3281 <https://github.com/ros-planning/moveit/issues/3281>)
    
      * Don't rewrite ``gazebo.launch`` after user changes
      * Only offer to write ``gazebo\_*.urdf`` if content would be non-empty
      * Clarify usage
      * Graceful opening of editor
      * Disable "overwrite" button if there are no changes
      * If overwriting fails: ``write gazebo\_*.urdf`` as fallback
    
  * Remove capabilities declaration from pipeline configs (#3274 <https://github.com/ros-planning/moveit/issues/3274>)Capabilities are global to the ``move_group`` node and not specific to pipleline configs.
    As the latter ones load their parameters into a namespace, e.g. ``/move_group/planning_pipelines/ompl/*``,
    loading a capability as suggested by the comments, didn't have any effect.
  * Expose ``world_name`` and ``world_pose`` args in ``*gazebo.launch`` (#3238 <https://github.com/ros-planning/moveit/issues/3238>)
  * run-depend on all default MoveIt planners
  * Start ``robot_state_publisher`` in ``gazebo.launch`` (#3236 <https://github.com/ros-planning/moveit/issues/3236>)
  * Generalize sizing of joint list widgets (#3219 <https://github.com/ros-planning/moveit/issues/3219>)
  * Contributors: Robert Haschke, Robert Kampf

 -- Dave Coleman <dave@picknik.ai>  Tue, 20 Dec 2022 23:00:00 -0000

ros-noetic-moveit-setup-assistant (1.1.10-1buster) buster; urgency=high

  * Limit Cartesian speed for link(s) (#2856 <https://github.com/ros-planning/moveit/issues/2856>)
  * MSA templates: replace hard-coded package name
  * Extended ACM editing in MSA (#3093 <https://github.com/ros-planning/moveit/issues/3093>)
    
      * Allow disabling/enabling links by default
      * Use matrix view by default
    
  * Optionally enable dynamics monitoring in move_group node (#3137 <https://github.com/ros-planning/moveit/issues/3137>)
  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Improve Gazebo-compatible URDF generation in MSA (#3081 <https://github.com/ros-planning/moveit/issues/3081>)
  * Contributors: AM4283, Michael Görner, Robert Haschke, rickstaa

 -- Dave Coleman <dave@picknik.ai>  Mon, 12 Sep 2022 22:00:00 -0000

ros-noetic-moveit-setup-assistant (1.1.9-1buster) buster; urgency=high

  * Fix collisions_updater's set comparison (#3076 <https://github.com/ros-planning/moveit/issues/3076>)
  * MSA: boost::bind -> std::bind (#3039 <https://github.com/ros-planning/moveit/issues/3039>)
  * Do not automatically load robot description in move_group.launch (#3065 <https://github.com/ros-planning/moveit/issues/3065>)
  * Contributors: Jochen Sprickerhof, Loy van Beek, Michael Görner

 -- Dave Coleman <dave@picknik.ai>  Sat, 05 Mar 2022 23:00:00 -0000

ros-noetic-moveit-setup-assistant (1.1.8-1buster) buster; urgency=high

  * Implement ACM defaults as a fallback instead of an override (#2938 <https://github.com/ros-planning/moveit/issues/2938>)
  * MSA: Add STOMP + OMPL-CHOMP configs (#2955 <https://github.com/ros-planning/moveit/issues/2955>)
    
      * Add stomp planner to MSA
      * Add OMPL-CHOMP planner to MSA
      * Remove obsolete CHOMP parameters
      * Update CHOMP config parameters to match code defaults
      * Create CHOMP config via template (instead of code)
    
  * Move MoveItConfigData::setCollisionLinkPairs to collisions_updater.cpp
  * Contributors: Rick Staa, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Sat, 29 Jan 2022 23:00:00 -0000

ros-noetic-moveit-setup-assistant (1.1.7-1buster) buster; urgency=high

  * Pass xacro_args to both, urdf and srdf loading (#3013 <https://github.com/ros-planning/moveit/issues/3013>)
  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Update timestamp of .setup_assistant file when writing files (#2964 <https://github.com/ros-planning/moveit/issues/2964>)
  * Upload controller_list for simple controller manager (#2954 <https://github.com/ros-planning/moveit/issues/2954>)
  * Contributors: Jochen Sprickerhof, Rick Staa, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Thu, 30 Dec 2021 23:00:00 -0000

ros-noetic-moveit-setup-assistant (1.1.6-1buster) buster; urgency=high

  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * Correctly state not-found package name
  * Finish setup_assistant.launch when MSA finished (#2749 <https://github.com/ros-planning/moveit/issues/2749>)
  * **Enabling the following new features requires recreation of your robot's MoveIt config with the new MSA!**
  * Various improvements (#2932 <https://github.com/ros-planning/moveit/issues/2932>)
    
      * Define default planner for Pilz pipeline
      * Allow checking/unchecking multiple files for generation
      * ``moveit.rviz``: Use Orbit view controller
      * Rename launch argument ``execution_type`` -> ``fake_execution_type`` to clarify that this parameter is only used for fake controllers
      * ``demo.launch``: Start joint + robot-state publishers in fake mode only
      * Modularize ``demo_gazebo.launch`` reusing ``demo.launch``
      * ``gazebo.launch``
        
          * Delay unpause to ensure that the robot's initial pose is actually held
          * Allow initial_joint_positions
          * Load URDF via xacro if neccessary
        
      * Rework ``moveit_controller_manager`` handlingSo far, ``move_group.launch`` distinguished between fake and real-robot operation only.
        The boolean launch-file argument ``fake_execution`` was translated to ``moveit_controller_manager = [fake|robot]``
        in ``move_group.launch`` and then further translated to the actual plugin name.However, MoveIt provides 3 basic controller manager plugins:
        

