=== debian/control ===
Source: ros-noetic-moveit-setup-assistant
Section: misc
Priority: optional
Maintainer: Dave Coleman <dave@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libogre-1.9-dev, libqt5opengl5-dev, libyaml-cpp-dev, qtbase5-dev, ros-noetic-catkin, ros-noetic-moveit-core, ros-noetic-moveit-resources-panda-moveit-config <!nocheck>, ros-noetic-moveit-ros-planning, ros-noetic-moveit-ros-visualization, ros-noetic-ompl, ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-rosunit <!nocheck>, ros-noetic-rviz, ros-noetic-srdfdom (>> 0.3.1), ros-noetic-urdf
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-noetic-moveit-setup-assistant
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, ros-noetic-moveit-core, ros-noetic-moveit-ros-planning, ros-noetic-moveit-ros-visualization, ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-rviz, ros-noetic-srdfdom (>> 0.3.1), ros-noetic-urdf, ros-noetic-xacro
Description: Generates a configuration package that makes it easy to use MoveIt
